## caps 0.2.0

=== Makefile ===
PREFIX = /usr/local

ARCH = `uname -m`
OPTS = -O6 -ffast-math -funroll-loops -Wall -march=$(ARCH) -mcpu=$(ARCH) 
# OPTS = -g -DDEBUG -D_DEBUG

CC = g++

PLUG = caps
DEST = $(PREFIX)/lib/ladspa

VERSION = 0.2.0
SOURCES = $(wildcard *.cc)
OBJECTS	= $(SOURCES:.cc=.o) 
HEADERS = $(wildcard *.h) $(wildcard dsp/*.h) $(wildcard util/*.h)

CFLAGS = $(OPTS) -I/usr/local/include -DVERSION=\"$(VERSION)\"

PDF = caps-$(VERSION).pdf

-include defines.make

# all systems go ##############################################################

all: depend $(PLUG).so tags
	@cat README.dist

run: all
	sudo python -i test.py

pdf: all tools/make-ps.py
	VERSION=$(VERSION) python tools/make-ps.py | ps2pdf - $(PDF)
	acroread $(PDF) &

$(PLUG).so: $(OBJECTS)
	$(CC) -nostartfiles $(CFLAGS) -shared -o $@ $(OBJECTS)

.cc.s: 
	$(CC) $(CFLAGS) -S $<

.cc.o:
	$(CC) $(CFLAGS) -I/usr/local/include -c $<

tags: $(SOURCES) $(HEADERS)
	@echo making tags
	@-if [ -x /usr/bin/ctags ]; then ctags $(SOURCES) $(HEADERS) ; fi

install: all
	strip $(PLUG).so
	install -d $(DEST)
	install -m 644 $(PLUG).so $(DEST)

fake-install: all
	-rm $(DEST)/$(PLUG).so
	ln -s $(PWD)/$(PLUG).so $(DEST)/$(PLUG).so

uninstall:
	rm $(DEST)/$(PLUG).so

clean:
	rm -f *.o *.so *.s depend

dist: all pdf
	cp $(PDF) /www/quitte/dsp/
	touch /www/quitte/dsp/$(PLUG)_$(VERSION).tar.gz
	tools/make-dist.py $(PLUG) $(VERSION) $(CFLAGS)
	@rm /www/quitte/dsp/$(PLUG)*.tar.gz
	@cp $(PLUG)_$(VERSION).tar.gz /www/quitte/dsp

depend: $(SOURCES) $(HEADERS)
	$(CC) -MM $(DEFINES) $(SOURCES) > depend

-include depend

## caps 0.2.3

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,11 @@
 PREFIX = /usr/local
 
-ARCH = `uname -m`
-OPTS = -O6 -ffast-math -funroll-loops -Wall -march=$(ARCH) -mcpu=$(ARCH) 
+OPTS = -O6 -ffast-math -funroll-loops -Wall 
+# i686 users can gain a slight runtime speed increase by uncommenting the
+# following 2 lines. (The rest of you out there, please tell me what works
+# for you).
+# ARCH = `uname -m`
+# OPTS = -O6 -ffast-math -funroll-loops -Wall -march=$(ARCH) -mcpu=$(ARCH) 
 # OPTS = -g -DDEBUG -D_DEBUG
 
 CC = g++
@@ -9,12 +13,13 @@
 PLUG = caps
 DEST = $(PREFIX)/lib/ladspa
 
-VERSION = 0.2.0
+VERSION = 0.2.3
+
 SOURCES = $(wildcard *.cc)
 OBJECTS	= $(SOURCES:.cc=.o) 
 HEADERS = $(wildcard *.h) $(wildcard dsp/*.h) $(wildcard util/*.h)
 
-CFLAGS = $(OPTS) -I/usr/local/include -DVERSION=\"$(VERSION)\"
+CFLAGS = $(OPTS)
 
 PDF = caps-$(VERSION).pdf
 
@@ -27,6 +32,7 @@
 
 run: all
 	sudo python -i test.py
+	#python tools/test-denormals.py
 
 pdf: all tools/make-ps.py
 	VERSION=$(VERSION) python tools/make-ps.py | ps2pdf - $(PDF)

## caps 0.3.0

=== Makefile ===
PREFIX = /usr/local

CC = g++
OPTS = -O6 -ffast-math -funroll-loops -Wall -fPIC -DPIC
# users of later iterations of the x86 architecture may want to add these:
# OPTS = -msse2 -mfpmath=sse -pipe -ftracer

CFLAGS = $(OPTS)

PLUG = caps
VERSION = 0.3.0

SOURCES = $(wildcard *.cc)
OBJECTS	= $(SOURCES:.cc=.o) 
HEADERS = $(wildcard *.h) $(wildcard dsp/*.h) $(wildcard util/*.h)

PDF = caps-$(VERSION).pdf

DEST = $(PREFIX)/lib/ladspa
RDFDEST = $(PREFIX)/share/ladspa/rdf

-include defines.make

# all systems go ##############################################################

all: depend $(PLUG).so tags
	@cat README.dist

run: all
	#sudo python -i test.py
	#python -i offline.py
	#python tools/test-denormals.py
	#sudo python ../scripts/caps-test.py
	#sudo python tools/caps-test.py scape.rack
	sudo python tools/caps-test.py ../ampiii.rack

pdf: all tools/make-ps.py
	VERSION=$(VERSION) python tools/make-ps.py | ps2pdf - $(PDF)
	xpdf $(PDF) &

$(PLUG).so: $(OBJECTS)
	$(CC) -nostartfiles $(CFLAGS) -shared -o $@ $(OBJECTS)

.cc.s: 
	$(CC) $(CFLAGS) -S $<

.cc.o:
	$(CC) $(CFLAGS) -I/usr/local/include -c $<

tags: $(SOURCES) $(HEADERS)
	@echo making tags
	@-if [ -x /usr/bin/ctags ]; then ctags $(SOURCES) $(HEADERS) ; fi

install: all
	strip $(PLUG).so
	install -d $(DEST)
	install -m 644 $(PLUG).so $(DEST)

alt-install: all
	strip $(PLUG).so
	install -d $(DEST)
	install -m 644 $(PLUG).so $(DEST)/$(PLUG)-ng.so

fake-install: all
	-rm $(DEST)/$(PLUG).so
	ln -s $(PWD)/$(PLUG).so $(DEST)/$(PLUG).so

rdf-install:
	install -d $(RDFDEST)
	install -m 644 $(PLUG).rdf $(RDFDEST)

uninstall:
	-rm $(DEST)/$(PLUG).so
	-rm $(DEST)/$(PLUG)-ng.so

clean:
	rm -f *.o *.so *.s depend

dist: all pdf
	cp $(PDF) /www/quitte/dsp/
	touch /www/quitte/dsp/caps_$(VERSION).tar.gz
	tools/make-dist.py caps $(VERSION) $(CFLAGS)
	@rm /www/quitte/dsp/caps*.tar.gz
	@cp caps_$(VERSION).tar.gz /www/quitte/dsp

depend: $(SOURCES) $(HEADERS)
	$(CC) -MM $(DEFINES) $(SOURCES) > depend

-include depend

## caps 0.4.2

=== Makefile ===
PREFIX = /usr/local

CC = g++
OPTS = -O2 -ffast-math -funroll-loops -Wall -fPIC -DPIC
#OPTS = -g -DDEBUG 

-include defines.make

CFLAGS = $(OPTS) $(_CFLAGS)

PLUG = caps
VERSION = 0.4.2

SOURCES = $(wildcard *.cc)
OBJECTS	= $(SOURCES:.cc=.o) 
HEADERS = $(wildcard *.h) $(wildcard dsp/*.h) $(wildcard util/*.h) $(wildcard dsp/tonestack/*.h)

PDF = releases/caps-$(VERSION).pdf

DEST = $(PREFIX)/lib/ladspa
RDFDEST = $(PREFIX)/share/ladspa/rdf

# all systems go ##############################################################

all: depend $(PLUG).so tags

run: all
	#sudo python -i test.py
	#python -i offline.py
	#python tools/test-denormals.py
	#sudo python tools/caps-test.py scape.rack
	sudo python tools/caps-test.py ts.rack
	#gdb python -x gdb-batch
	#python tools/make-pdf.py

pdf: all tools/make-ps.py
	VERSION=$(VERSION) python tools/make-ps.py | ps2pdf - $(PDF)
	xpdf $(PDF) 

rdf: $(PLUG).rdf
caps.rdf: all tools/make-rdf.py
	python tools/make-rdf.py > $(PLUG).rdf

$(PLUG).so: $(OBJECTS)
	$(CC) -nostartfiles $(CFLAGS) -shared -o $@ $(OBJECTS)

.cc.s: 
	$(CC) $(CFLAGS) -S $<

.cc.o: depend
	$(CC) $(CFLAGS) -I/usr/local/include -c $<

tags: $(SOURCES) $(HEADERS)
	@echo making tags
	@-if [ -x /usr/bin/ctags ]; then ctags $(SOURCES) $(HEADERS) ; fi

install: all
	strip $(PLUG).so
	install -d $(DEST)
	install -m 644 $(PLUG).so $(DEST)
	install -d $(RDFDEST)
	install -m 644 $(PLUG).rdf $(RDFDEST)

fake-install: all
	-rm $(DEST)/$(PLUG).so
	ln -s `pwd`/$(PLUG).so $(DEST)/$(PLUG).so

rdf-install:
	install -d $(RDFDEST)
	install -m 644 $(PLUG).rdf $(RDFDEST)

uninstall:
	-rm $(DEST)/$(PLUG).so
	-rm $(DEST)/$(PLUG)-ng.so

clean:
	rm -f *.o *.so *.s depend

dist: all pdf
	cp $(PDF) /www/quitte/dsp/
	touch /www/quitte/dsp/caps_$(VERSION).tar.gz
	tools/make-dist.py caps $(VERSION) $(CFLAGS)
	@rm /www/quitte/dsp/caps*.tar.gz
	@cp releases/caps_$(VERSION).tar.gz /www/quitte/dsp

depend: $(SOURCES) $(HEADERS)
	$(CC) -MM $(CFLAGS) $(DEFINES) $(SOURCES) > depend

-include depend

## caps 0.4.4

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,21 @@
 PREFIX = /usr/local
 
 CC = g++
-OPTS = -O2 -ffast-math -funroll-loops -Wall -fPIC -DPIC
+
+# only use -ffast-math if you're feeling mighty adventurous.  (g++ issues)
+OPTS = -O2 -funroll-loops -Wall -fPIC -DPIC
 #OPTS = -g -DDEBUG 
+
+_LDFLAGS = -nostartfiles -shared 
+STRIP = strip
 
 -include defines.make
 
 CFLAGS = $(OPTS) $(_CFLAGS)
+LDFLAGS = $(_LDFLAGS) $(CFLAGS)
 
 PLUG = caps
-VERSION = 0.4.2
+VERSION = 0.4.4
 
 SOURCES = $(wildcard *.cc)
 OBJECTS	= $(SOURCES:.cc=.o) 
@@ -20,7 +26,7 @@
 DEST = $(PREFIX)/lib/ladspa
 RDFDEST = $(PREFIX)/share/ladspa/rdf
 
-# all systems go ##############################################################
+# all systems go -------------------------------------------------------------
 
 all: depend $(PLUG).so tags
 
@@ -42,20 +48,20 @@
 	python tools/make-rdf.py > $(PLUG).rdf
 
 $(PLUG).so: $(OBJECTS)
-	$(CC) -nostartfiles $(CFLAGS) -shared -o $@ $(OBJECTS)
+	$(CC) $(LDFLAGS) -o $@ $(OBJECTS)
 
 .cc.s: 
 	$(CC) $(CFLAGS) -S $<
 
 .cc.o: depend
-	$(CC) $(CFLAGS) -I/usr/local/include -c $<
+	$(CC) $(CFLAGS) -c $<
 
 tags: $(SOURCES) $(HEADERS)
 	@echo making tags
 	@-if [ -x /usr/bin/ctags ]; then ctags $(SOURCES) $(HEADERS) ; fi
 
 install: all
-	strip $(PLUG).so
+	@$(STRIP) $(PLUG).so > /dev/null
 	install -d $(DEST)
 	install -m 644 $(PLUG).so $(DEST)
 	install -d $(RDFDEST)

## caps 0.9.16

=== debian/changelog ===
caps (0.9.16-2) unstable; urgency=low

  * Patches Forwarded.
  * Improved description.
  * Added Breaks: libasound2-plugin-equal (<< 0.6-6) (Closes: Bug#722143).

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 09 Sep 2013 16:00:45 +0200

caps (0.9.16-1) unstable; urgency=low

  * New upstream release.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 28 Aug 2013 21:59:20 +0200

caps (0.9.10-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * New upstream release (Closes: Bug#605480) 
  * Added watch file.
  * Set format 3.
  * Added local-options file
  * wrap-and-sort -a -s.
  * Added .gitignore file.
  * Added gbp.conf file.
  * Set dh/compat 9
  * Switch dh short
  * Bump Standards.
  * Take over by team with Mario Lang's approval.
  * Set myself as uploader.
  * Add Homepage.
  * Fix VCS canonical URLs.
  * Added misc-Depends.
  * Added patches to fix build.
  * Deleted dir file.
  * Update copyright file.
  * Mentioned on-line doc in description.

  [ Alessio Treglia ]
  * {pre,post}-build cleanup

  [ Felipe Sateler ]
  * Add myself to uploaders
  * Remove tags file on clean

 -- Felipe Sateler <fsateler@debian.org>  Fri, 23 Aug 2013 20:42:24 -0400

caps (0.4.2-1) unstable; urgency=low

  * New upstream release.
  * Stop upstream Makefile from stripping the library so that
    DEB_BUILD_OPTIONS=nostrip works. (Closes: Bug#436613).

 -- Mario Lang <mlang@debian.org>  Thu, 09 Aug 2007 15:44:59 +0200

caps (0.3.0-3) unstable; urgency=low

  * Fix thinko, /usr/share/ladspa/rdf instead of /usr/lib/ladspa/rdf.

 -- Mario Lang <mlang@debian.org>  Mon,  1 Jan 2007 15:43:19 +0100

caps (0.3.0-2) unstable; urgency=low

  * Install RDF data into /usr/lib/ladspa/rdf/.
  * Update Standards-Version to 3.7.2.

 -- Mario Lang <mlang@debian.org>  Mon,  1 Jan 2007 13:57:01 +0100

caps (0.3.0-1) unstable; urgency=low

  * New upstream release

 -- Mario Lang <mlang@debian.org>  Thu, 12 Jan 2006 15:06:50 +0100

caps (0.2.3-3) unstable; urgency=low

  * Rebuild for C++ ABI transition.

 -- Mario Lang <mlang@debian.org>  Thu, 21 Jul 2005 00:48:19 +0200

caps (0.2.3-2) unstable; urgency=low

  * Make it build with gcc-4.0 (Closes: #285586).

 -- Mario Lang <mlang@debian.org>  Mon,  6 Jun 2005 13:13:05 +0200

caps (0.2.3-1) unstable; urgency=low

  * New upstream release.

 -- Mario Lang <mlang@debian.org>  Mon,  6 Jun 2005 08:01:23 +0200

caps (0.2.0-1) unstable; urgency=low

  * New upstream release

 -- Mario Lang <mlang@debian.org>  Tue, 30 Nov 2004 11:46:03 +0100

caps (0.1.12-1) unstable; urgency=low

  * Initial release

 -- Mario Lang <mlang@debian.org>  Thu, 16 Sep 2004 12:19:25 +0200

=== debian/control ===
Source: caps
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Felipe Sateler <fsateler@debian.org>
Build-Depends:
 debhelper (>= 9),
 ladspa-sdk
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/caps.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/caps.git
Homepage: http://quitte.de/dsp/caps.html

Package: caps
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Provides:
 ladspa-plugin
Breaks: libasound2-plugin-equal (<< 0.6-6)
Description: C* Audio Plugin Suite
 caps comprises a range of classic sound effects
 and a few more basic audio DSP units,
 signal and noise generators.
 The suite's aim is to provide impeccable sound quality,
 computational efficiency and no perceptible latency.
 .
 Documentation: http://quitte.de/dsp/caps.html

## caps 0.9.18

=== Makefile ===
PREFIX = /usr
DESTDIR = 

CC = g++

OPTS = -O3 -ffast-math -funroll-loops -Wall -fPIC -DPIC
#OPTS = -g -DDEBUG 

_LDFLAGS = -shared 
STRIP = strip

-include defines.make

CFLAGS += $(OPTS) $(_CFLAGS)
LDFLAGS += $(_LDFLAGS) $(CFLAGS)

VERSION = 0.9.18
PLUG = caps

SOURCES = $(wildcard *.cc) $(wildcard dsp/*.cc)
OBJECTS	= $(SOURCES:.cc=.o) 
HEADERS = $(wildcard *.h) $(wildcard dsp/*.h) $(wildcard util/*.h) $(wildcard dsp/tonestack/*.h)

DEST = $(PREFIX)/lib/ladspa
RDFDEST = $(PREFIX)/share/ladspa/rdf

# targets following -------------------------------------------------------------

all: depend $(PLUG).so tags

run: all
	@#python bin/enhance_dp_wsop.py
	@#python -i bin/rack.py White AutoFilter cream.Audio.Meter Pan
	@#python -i bin/rack.py White AutoFilter Pan
	@#python -i bin/rack.py Click Plate
	@#python -i bin/rack.py PhaserII 
	@#~/cream/gdb-python html/graph.py Eq4p,a.f=100,a.gain=30.png
	@#~/cream/gdb-python bin/eqtest.py
	@#~/cream/gdb-python bin/fractalstest.py
	@#python bin/sinsweep.py
	@python -i ~/reve/bin/noisegate.py

rdf: $(PLUG).rdf
$(PLUG).rdf: all tools/make-rdf.py
	python tools/make-rdf.py > $(PLUG).rdf

$(PLUG).so: $(OBJECTS)
	$(CC) $(ARCH) $(LDFLAGS) -o $@ $(OBJECTS)

.cc.s: 
	$(CC) $(ARCH) $(CFLAGS) -S $<

.cc.o: depend 
	$(CC) $(ARCH) $(CFLAGS) -o $@ -c $<

tags: $(SOURCES) $(HEADERS)
	@-if [ -x /usr/bin/ctags ]; then ctags $(SOURCES) $(HEADERS) >/dev/null 2>&1 ; fi

install: all
	@$(STRIP) $(PLUG).so > /dev/null
	install -d $(DESTDIR)$(DEST)
	install -m 644 $(PLUG).so $(DESTDIR)$(DEST)
	install -d $(DESTDIR)$(RDFDEST)
	install -m 644 $(PLUG).rdf $(DESTDIR)$(RDFDEST)

fake-install: all
	-rm $(DESTDIR)$(DEST)/$(PLUG).so
	ln -s `pwd`/$(PLUG).so $(DESTDIR)$(DEST)/$(PLUG).so
	-rm $(DESTDIR)$(RDFDEST)/$(PLUG).rdf
	ln -s `pwd`/$(PLUG).rdf $(DESTDIR)$(RDFDEST)/$(PLUG).rdf

rdf-install:
	install -d $(DESTDIR)$(RDFDEST)
	install -m 644 $(PLUG).rdf $(DESTDIR)$(RDFDEST)

uninstall:
	-rm $(DESTDIR)$(DEST)/$(PLUG).so
	-rm $(DESTDIR)$(RDFDEST)/$(PLUG).rdf

clean:
	rm -f $(OBJECTS) $(PLUG).so *.s depend

version.h:
	@VERSION=$(VERSION) python tools/make-version.h.py

dist: all $(PLUG).rdf version.h
	-rm doc/*.html 
	tools/make-dist.py caps $(VERSION) $(CFLAGS)

depend: $(SOURCES) $(HEADERS)
	$(CC) -MM $(CFLAGS) $(DEFINES) $(SOURCES) > depend

-include depend

=== debian/changelog ===
caps (0.9.18-1) unstable; urgency=low

  * Imported Upstream version 0.9.18
  * Bump Standards.
  * Patches removed - applied upstream.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 06 Feb 2014 14:43:59 +0100

## caps 0.9.23

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,5 @@
+VERSION = 0.9.23
+
 PREFIX = /usr
 DESTDIR = 
 
@@ -14,7 +16,6 @@
 CFLAGS += $(OPTS) $(_CFLAGS)
 LDFLAGS += $(_LDFLAGS) $(CFLAGS)
 
-VERSION = 0.9.18
 PLUG = caps
 
 SOURCES = $(wildcard *.cc) $(wildcard dsp/*.cc)
@@ -38,7 +39,9 @@
 	@#~/cream/gdb-python bin/eqtest.py
 	@#~/cream/gdb-python bin/fractalstest.py
 	@#python bin/sinsweep.py
-	@python -i ~/reve/bin/noisegate.py
+	@#python -i ~/reve/bin/noisegate.py
+	@rack.py AutoFilter ChorusI AmpVTS CabinetIV Plate
+	@#python ~/reve/bin/hum.py
 
 rdf: $(PLUG).rdf
 $(PLUG).rdf: all tools/make-rdf.py
@@ -84,7 +87,6 @@
 	@VERSION=$(VERSION) python tools/make-version.h.py
 
 dist: all $(PLUG).rdf version.h
-	-rm doc/*.html 
 	tools/make-dist.py caps $(VERSION) $(CFLAGS)
 
 depend: $(SOURCES) $(HEADERS)

=== debian/changelog ===
caps (0.9.23-1) unstable; urgency=low

  * Imported Upstream version 0.9.23

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 13 Mar 2014 13:53:19 +0100

caps (0.9.21-1) unstable; urgency=low

  * Imported Upstream version 0.9.21

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 20 Feb 2014 23:04:22 +0100

caps (0.9.20-1) unstable; urgency=low

  * Imported Upstream version 0.9.20

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 17 Feb 2014 11:34:36 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper (>= 9),
  ladspa-sdk
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/caps.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/caps.git
 Homepage: http://quitte.de/dsp/caps.html

## caps 0.9.24

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
-VERSION = 0.9.23
+VERSION = 0.9.24
 
 PREFIX = /usr
 DESTDIR = 
 
 CC = g++
 
-OPTS = -O3 -ffast-math -funroll-loops -Wall -fPIC -DPIC
+OPTS = -O3 -ffast-math -funroll-loops -Wall -fPIC -DPIC 
 #OPTS = -g -DDEBUG 
 
 _LDFLAGS = -shared 
@@ -40,8 +40,10 @@
 	@#~/cream/gdb-python bin/fractalstest.py
 	@#python bin/sinsweep.py
 	@#python -i ~/reve/bin/noisegate.py
-	@rack.py AutoFilter ChorusI AmpVTS CabinetIV Plate
+	@#rack.py Noisegate AmpVI Plate
 	@#python ~/reve/bin/hum.py
+	@python bin/cabtest.py
+	@#cd ~/reve && python bin/cabmake.py
 
 rdf: $(PLUG).rdf
 $(PLUG).rdf: all tools/make-rdf.py

=== debian/changelog ===
caps (0.9.24-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Use standard exp10f instead of pow10f.
    Thanks to Aurelien Jarno for the patch. (Closes: #890633)

 -- Felipe Sateler <fsateler@debian.org>  Mon, 26 Mar 2018 14:47:27 -0300

caps (0.9.24-4) unstable; urgency=medium

  * Append LDFLAGS properly.
  * Update copyright file.
  * Do not strip during make install. (Closes: #851202)
    Thanks to Helmut Grohne <helmut@subdivi.de>

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 16 Jan 2017 08:38:33 +0100

caps (0.9.24-3) unstable; urgency=medium

  * Set dh 10.
  * Bump Standards.
  * Fix VCS fields.
  * Set dh 10.
  * Bump Standards.
  * Fix VCS fields.
  * Fix hardening.
  * Sign tags.
  * Update copyright file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 21 Dec 2016 14:34:53 +0100

caps (0.9.24-2) unstable; urgency=medium

  * Avoid ambiguity in div invocation (Closes: #816568)
  * Use canonical Vcs-* urls

 -- Felipe Sateler <fsateler@debian.org>  Fri, 01 Jul 2016 19:21:02 -0400

caps (0.9.24-1) unstable; urgency=low

  * Imported Upstream version 0.9.24
  * Bump Standards.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 22 Mar 2015 14:41:47 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
  Jaromír Mikeš <mira.mikes@seznam.cz>,
  Felipe Sateler <fsateler@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  ladspa-sdk
-Standards-Version: 3.9.5
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/caps.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/caps.git
+Standards-Version: 3.9.8
+Vcs-Git: https://salsa.debian.org/multimedia-team/caps.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/caps
 Homepage: http://quitte.de/dsp/caps.html
 
 Package: caps

## caps 0.9.26

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 0.9.24
+VERSION = 0.9.26
 
 PREFIX = /usr
 DESTDIR = 
@@ -6,7 +6,7 @@
 CC = g++
 
 OPTS = -O3 -ffast-math -funroll-loops -Wall -fPIC -DPIC 
-#OPTS = -g -DDEBUG 
+#OPTS = -fPIC -DPIC -g -DDEBUG 
 
 _LDFLAGS = -shared 
 STRIP = strip
@@ -42,8 +42,11 @@
 	@#python -i ~/reve/bin/noisegate.py
 	@#rack.py Noisegate AmpVI Plate
 	@#python ~/reve/bin/hum.py
-	@python bin/cabtest.py
+	@#python bin/cabtest.py
+	@#python bin/spicetest.py
+	@#python bin/test.py
 	@#cd ~/reve && python bin/cabmake.py
+	@python ~/bin/rack.py
 
 rdf: $(PLUG).rdf
 $(PLUG).rdf: all tools/make-rdf.py

=== debian/changelog ===
caps (0.9.26-1) unstable; urgency=medium

  * Change maintainer address to debian-multimedia@lists.debian.org
  * New upstream version 0.9.26
    - Drop all patches - equivalents applied upstream
    - Fixes crashes in some plugins. Closes: #907220

 -- Felipe Sateler <fsateler@debian.org>  Sun, 21 Oct 2018 18:13:20 -0300

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- STRIP=:

=== debian/watch ===
version=3

http://quitte.de/dsp/caps.html \
	caps_(.+)\.tar\.bz2
